Autor Tópico: [Resolvido] Problema com dependências desencontradas  (Lida 2710 vezes)

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.859
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #15 Online: 30 de Maio de 2016, 21:12 »
Então repete esse e copia aqui o resultado:

Código: [Selecionar]
locate libjbig0
e ainda:

Código: [Selecionar]
locate libjbig0:i386
Sempre tem jeito, às vezes 'bate' um pouco de cabeça, mas tem jeito.

Isso acontece porque ou se instala ppa ou se baixa .deb diretamente e força instalação.
Sempre que se forçar instalação há o risco de quebrar a lógica do apt

O que tem que fazer é eliminar isso aqui: libjbig0:i386

 libjbig0 : Quebra: libjbig0:i386 (!= 2.0-2) mas 2.1-3.1 está instalado

Podemos forçar a versão 64 instalar escrevendo sobre o que houver, mas é melhor antes ir eliminando as possibilidades.
« Última modificação: 30 de Maio de 2016, 21:26 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lfelipe

  • Usuário Ubuntu
  • *
  • Mensagens: 42
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #16 Online: 30 de Maio de 2016, 21:31 »
Fiz diferente (porque fiz antes de ler a tua última resposta)...

Fiquei matutando que, com o isolamento das referências ao libjbig0:i386, o sistema obrigatoriamente estaria diferente.

Então tentei o sudo apt-get install -f, e ele corrigiu as falhas.

Aí o apt-get update e depois o apt-get upgrade funcionaram perfeitamente, inclusive sumindo o sinal de erro que tava na barra do Ubuntu.

Mais uma vez, muito obrigado pela tua ajuda!!

Agora, se não for abusar demais, quero tirar uma dúvida (antes de ferrar com tudo de novo).

Continuo com o problema do certificado digital. Você acha que se eu seguir esse tutorial (http://www.validcertificadora.com.br/SafeSignLinux) o problema se repetirá?

Obrigado!!

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.859
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #17 Online: 30 de Maio de 2016, 21:37 »
Ok, ótimo que resolveu, não esqueça de reabilitar a(s) ppa(s) que haviam sido desabilitadas e ver se ocorre algum erro.

Esse negócio do certificado digital da OAB tenho visto apenas à distância, o nosso prezado administrador /agente100gelo/ é que é especialista nisso, mas vou dar uma olhada nesse tutorial, embora eu tenha uma opinião formada sobre isso, que é trocar a certificadora, dando preferência àquelas que desenvolvem especificamente para Linux.  ;)

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lfelipe

  • Usuário Ubuntu
  • *
  • Mensagens: 42
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #18 Online: 30 de Maio de 2016, 21:42 »
Pois é...inclusive ele se manifestou em um outro post específico que abri sobre o assunto, relatando que também enfrentou problemas e não tinha conseguido resolver até então.

Um outro usuário, posteriormente, quem sugeriu esse tutorial...e quando eu fui tentar instalar o primeiro arquivo que bagunçou com as dependências.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.859
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #19 Online: 30 de Maio de 2016, 22:19 »
Citar
Os cartões e tokens VALID são gerenciados pelo programa SafeSign.

Pois então, prezado /lfelipe/,

A primeira e inafastável condição é essa: o seu cartão ou token é da VALID ?

A VALID é nota 1000, desenvolve especificamente para Linux, mas obviamente você precisa ter o material deles, caso contrário aquele tutorial não vai mesmo dar certo.

Vi num outro post seu você dizendo que seu certificado digital funcionava perfeitamente no Ubuntu 14.04, pois bem, penso que o melhor a fazer, como diz uma sabedoria aqui do Fórum, é tirar o escorpião do bolso e voltar para a versão 14.04, que afinal de conta é uma versão LTS, suporte de longo prazo, vai até 2019, aliás é a versão que pessoalmente uso para "coisas sérias" (embora tenha outras instaladas, mas só para estudos, pesquisas e testes, portanto, sem problema de destruí-las).

A versão 16.04 do Ubuntu foi recém lançada, está longe de ser estabilizada, começa a melhorar quando sair o primeiro release, que será o 16.04.1, mais ou menos em julho em diante. Quem usa o computador para 'coisas śérias' deve sempre dar preferência para uma versão já estabilizada, já com estrada rodada, nada de coisas novidadeiras, muito menos lançamentos, apenas não faz sentido.

Para entender melhor o calendário geral de validade e suporte de todas as versões

Ubuntu releases calendar

https://wiki.ubuntu.com/Releases

Complementarmente também esse:

https://wiki.ubuntu.com/LTS

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lfelipe

  • Usuário Ubuntu
  • *
  • Mensagens: 42
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #20 Online: 30 de Maio de 2016, 22:37 »
Caro druidaobelix,

Pois então...isso já havia me passado pela cabeça também...

Meu certificado foi emitido pela OAB/RS, não é da Valid...e por essa razão, tem seus problemas em alguns sistemas, como já vi que todo usuário Linux sofre da mesma maneira.

Entretanto, em diversos sites (Receita Federal, Justiça Federal do RS, STF, entre outros), funcionava perfeitamente no Ubuntu 14.04.

Pensando bem no que tu escreveste, acho que realmente tem vezes que não vale a pena atualizar tão cedo o sistema.

Talvez seja bem mais adequado voltar ao 14.04 e mantê-lo rodando bem, até que as coisas se estabilizem no 16.04.

De qualquer maneira, muito obrigado por toda a ajuda!!

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.859
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #21 Online: 30 de Maio de 2016, 22:58 »
Citar
Meu certificado foi emitido pela OAB/RS, não é da Valid...

Evidentemente nenhum advogado ou operador do direito é obrigado a usar certificado emitido pela OAB, embora possa ter alguma praticidade usar e seja razoável prestigiar a entidade de classe, entretanto, não há lei que obrigue a usar uma específica autoridade certificadora, obviamente desde que ela seja do domínio brasileiro.

A Autoridade Certificadora Raiz da ICP-Brasil (AC-Raiz) é a primeira autoridade da cadeia de certificação, mas daí em diante desconheço lei que obrigue alguém a usar especificamente uma, portanto, nenhum Tribunal, governo ou autoridade administrativa pode impor que o acesso se deva dar por essa ou aquela específica autoridade certificadora.

E se assim não for, data venia, o Mandado de Segurança existe exatamente para isso.  :)

Saudações forenses.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline lfelipe

  • Usuário Ubuntu
  • *
  • Mensagens: 42
    • Ver perfil
Re:Problema com dependências desencontradas
« Resposta #22 Online: 30 de Maio de 2016, 23:01 »
No meu caso, não é que me senti obrigado, ou sequer me interessei em prestigiar a OAB.

Mas a OAB ofereceu um baita desconto, sendo que, na época que renovei o certificado, paguei algo em torno de 50% do valor dos certificados que via por aí.

Dei uma olhada no site da Valid...um A3 em token, com validade de 3 anos, como o que eu tenho, estão cobrando quase R$ 500.  ;)

Isso que pesou na escolha.

Offline beneditocarvalho-direito

  • Usuário Ubuntu
  • *
  • Mensagens: 1
    • Ver perfil
Re:[Resolvido] Problema com dependências desencontradas
« Resposta #23 Online: 19 de Julho de 2017, 18:53 »
Prezados,
A solução que encontrei foi:
$ rm /usr/share/doc/libjbig0/changelog.Debian.gz
seguido de:
$ apt-get -f install
Mas, para o certificado funcionar sem dá pau no sistema, em uma pasta qualquer tem que extrair o conteúdo do safesignidentityclient_3.0.77-Ubuntu_amd64.deb, em seguida extrair o data.tar.gz e mover manualmente o conteúdo da pasta usr para a pasta /usr, mesclando os conteúdos!